Postgresql support

Help
2009-08-14
2012-12-13
  • I just built tora from svn (rev. 3227) on Slackware64-13.0 and it seems to work fine with an oracle 11g database.

    While tora was building, I noticed the message:
    -- PostgreSQL environment found: /usr/include /usr/lib64/libpq.so
    so I assumed that Postgresql support would be built in. However when I try to add a new connection, the only "Connection provider" options available are: MySQL, Oracle (Instant Client) and Oracle (TNS).

    Is something else needed to connect to a postgresql instance?

    chris

     
    • Petr Vaněk
      Petr Vaněk
      2009-08-14

      pgsql support is dependednt on:

      a) native pgsql libraries (you have it, as cmake found it)
      b) Qt4 pgsql module. Do you heva this one installed?

      search somewhere like in /usr/lib64/qt4/plugins/sqldrivers/libqsqlpsql.so

      I don't know how it's handled in slack - I did not find anything on slackware.org, just here: http://www.liwjatan.at/slackware/business.php5

       
      • Thanks for the good advice - libqsqlpsql.so was indeed missing and the link you suggested gave advice about how to create it. After I built & installed it, I was able to connect to the postgresql instance with tora.

        Thanks again,
        chris

         
        • Petr Vaněk
          Petr Vaněk
          2009-08-14

          cool, can you summarize your steps to install tora on slack, please? I will add it into knowlege base, if you send it to me.